[PC-BSD Commits] r4629 - in pcbsd/trunk/system-overlay: boot usr/PCBSD/bin usr/PCBSD/xorg-gui/bin
svn at pcbsd.org
svn at pcbsd.org
Fri Oct 9 11:00:53 PDT 2009
Author: kris
Date: 2009-10-09 11:00:53 -0700 (Fri, 09 Oct 2009)
New Revision: 4629
Modified:
pcbsd/trunk/system-overlay/boot/beastie.4th
pcbsd/trunk/system-overlay/usr/PCBSD/bin/pdm
pcbsd/trunk/system-overlay/usr/PCBSD/xorg-gui/bin/rundetect.sh
Log:
Updated the run-display setup wizard, dont need entry in /etc/rc.local anymore,
works as a kernel variable
Modified: pcbsd/trunk/system-overlay/boot/beastie.4th
===================================================================
--- pcbsd/trunk/system-overlay/boot/beastie.4th 2009-10-09 17:39:59 UTC (rev 4628)
+++ pcbsd/trunk/system-overlay/boot/beastie.4th 2009-10-09 18:00:53 UTC (rev 4629)
@@ -297,7 +297,7 @@
then
then
dup rundisplaywiz @ = if
- s" /boot/kernel;/boot/modules;/RUNXWIZ/" s" module_path" setenv
+ s" YES" s" runwiz" setenv
0 boot
then
dup bootsinglekey @ = if
Modified: pcbsd/trunk/system-overlay/usr/PCBSD/bin/pdm
===================================================================
--- pcbsd/trunk/system-overlay/usr/PCBSD/bin/pdm 2009-10-09 17:39:59 UTC (rev 4628)
+++ pcbsd/trunk/system-overlay/usr/PCBSD/bin/pdm 2009-10-09 18:00:53 UTC (rev 4629)
@@ -8,13 +8,13 @@
export PATH
# Check if we need to add our KDEDIRS variable to startkde4
-grep ^KDEDIRS= /usr/local/kde4/bin/startkde >/dev/null 2>/dev/null
-if [ "$?" != "0" ]
-then
- awk '{sub(/# When the/,"KDEDIRS=\"`kde4-config --prefix`:`kde-config --prefix`:/Programs/kde\" ; export KDEDIRS\n\n# When the");print}' < /usr/local/kde4/bin/startkde >/tmp/$$.awk
- mv /tmp/$$.awk /usr/local/kde4/bin/startkde
- chmod 755 /usr/local/kde4/bin/startkde
-fi
+#grep ^KDEDIRS= /usr/local/kde4/bin/startkde >/dev/null 2>/dev/null
+#if [ "$?" != "0" ]
+#then
+# awk '{sub(/# When the/,"KDEDIRS=\"`kde4-config --prefix`:`kde-config --prefix`:/Programs/kde\" ; export KDEDIRS\n\n# When the");print}' < /usr/local/kde4/bin/startkde >/tmp/$$.awk
+# mv /tmp/$$.awk /usr/local/kde4/bin/startkde
+# chmod 755 /usr/local/kde4/bin/startkde
+#fi
setup_xorg() {
/usr/PCBSD/xorg-gui/bin/rundetect.sh
@@ -28,10 +28,17 @@
rm -f/usr/PCBSD/conf/.runxsetup
}
+# Check if we are going to re-run the display setup wizard
+y=`kenv runwiz`
+if [ $? -eq 0 ]; then
+ kenv -u runwiz
+ touch /usr/PCBSD/conf/.runxsetup
+fi
+
xvesa="NO"
v=`kenv xvesa`
if [ $? -eq 0 ]; then
- xvesa=$v
+ xvesa=$v
fi
# Check if we need to set the LANG variable so that KDM works with i18n
Modified: pcbsd/trunk/system-overlay/usr/PCBSD/xorg-gui/bin/rundetect.sh
===================================================================
--- pcbsd/trunk/system-overlay/usr/PCBSD/xorg-gui/bin/rundetect.sh 2009-10-09 17:39:59 UTC (rev 4628)
+++ pcbsd/trunk/system-overlay/usr/PCBSD/xorg-gui/bin/rundetect.sh 2009-10-09 18:00:53 UTC (rev 4629)
@@ -284,6 +284,7 @@
mv /root/.fluxbox.xbak /root/.fluxbox
fi
+kenv -u runwiz >/dev/null 2>/dev/null
rm /usr/PCBSD/xorg-gui/.rerunxsetup >/dev/null 2>/dev/null
rm /usr/PCBSD/xorg-gui/.skipauto >/dev/null 2>/dev/null
echo "Preparing to start the desktop..." >/dev/console
More information about the Commits
mailing list